Skip to main content

Overview

Allows the client to get the current server public key, or the public key of one of its own cryptographic keys. The client can use this key to validate signatures made by the server in relation to legal identities, smart contracts, tokens, etc. Note: If a Key ID is provided, information about one of the keys of the client account is returned. If no Key ID is provided, information about the public server key is returned. Note 2: If no Key ID is provided, this resource requires no authentication. If a Key ID is provided, a Bearer token identifying the client account must be provided.

HTTP request

POST /Agent/Crypto/GetPublicKey

Authentication

Requires a valid JWT bearer token.

Request (JSON)

Input parameters

Response (JSON)

Response parameters

Notes

This endpoint uses the request schema notation described in Pattern matching.